.grid {
  display: flex;
  margin-bottom: -3rem;

  & > * {
    margin-bottom: 3rem;
  }

  &.basic {
    padding: 0 1rem;
  }
  &.wrap {
    flex-wrap: wrap;
  }
  &.end {
    justify-content: flex-end;
  }
  &.center {
    justify-content: center;
  }
  &.space-between {
    justify-content: space-between;
  }
  &.space-around {
    justify-content: space-around;
  }
  &.evenly {
    justify-content: space-evenly;
  }
  &.align-center {
    align-items: center;
  }

  &.column {
    flex-direction: column;
  }

  .basic {
    padding: 0 1rem;
  }

  &.even > * {
    flex-grow: 1;
  }

  &.one {
    flex-basis: 4.166666666%;
  }
  &.two {
    flex-basis: 8.33333333%;
  }
  &.three {
    flex-basis: 12.5%;
  }
  &.four {
    flex-basis: 16.666666666%;
  }
  &.five {
    flex-basis: 20.833333333%;
  }
  &.six {
    flex-basis: 25%;
  }
  &.seven {
    flex-basis: 29.16666666%;
  }
  &.eight {
    flex-basis: 33.33333333%;
  }
  &.nine {
    flex-basis: 37.5%;
  }
  &.ten {
    flex-basis: 41.16666666%;
  }
  &.eleven {
    flex-basis: 45.83333333%;
  }
  &.twelve {
    flex-basis: 50%;
  }
  &.thirteen {
    flex-basis: 54.16666666%;
  }
  &.fourteen {
    flex-basis: 58.33333333%;
  }
  &.fifteen {
    flex-basis: 62.5%;
  }
  &.sixteen {
    flex-basis: 66.66666666%;
  }
  &.seventeen {
    flex-basis: 70.83333333%;
  }
  &.eighteen {
    flex-basis: 75%;
  }
  &.nineteen {
    flex-basis: 79.16666666%;
  }
  &.twenty {
    flex-basis: 83.33333333%;
  }
  &.twentyone {
    flex-basis: 87.5%;
  }
  &.twentytwo {
    flex-basis: 91.66666666%;
  }
  &.twentythree {
    flex-basis: 95.83333333%;
  }
  &.twentyfour {
    flex-basis: 100%;
  }
}

.one {
  width: 4.166666666%;
}
.two {
  width: 8.33333333%;
}
.three {
  width: 12.5%;
}
.four {
  width: 16.666666666%;
}
.five {
  width: 20.833333333%;
}
.six {
  width: 25%;
}
.seven {
  width: 29.16666666%;
}
.eight {
  width: 33.33333333%;
}
.nine {
  width: 37.5%;
}
.ten {
  width: 41.16666666%;
}
.eleven {
  width: 45.83333333%;
}
.twelve {
  width: 50%;
}
.thirteen {
  width: 54.16666666%;
}
.fourteen {
  width: 58.33333333%;
}
.fifteen {
  width: 62.5%;
}
.sixteen {
  width: 66.66666666%;
}
.seventeen {
  width: 70.83333333%;
}
.eighteen {
  width: 75%;
}
.nineteen {
  width: 79.16666666%;
}
.twenty {
  width: 83.33333333%;
}
.twentyone {
  width: 87.5%;
}
.twentytwo {
  width: 91.66666666%;
}
.twentythree {
  width: 95.83333333%;
}
.twentyfour {
  width: 100%;
}
